summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-06-15 09:31:03 +0200
committerClifford Wolf <clifford@clifford.at>2014-06-15 09:31:03 +0200
commita4ec19c25c97d68b9347d3d98637add7b18cf073 (patch)
tree3468e74fe4026fde497d54fd7b255ef91c9b4d3d /tests
parent4d1df128fa42a9e6718f38e794be8b2f8c2ff7c7 (diff)
Added tests/realmath to "make test"
Diffstat (limited to 'tests')
-rwxr-xr-xtests/asicworld/run-test.sh1
-rwxr-xr-xtests/hana/run-test.sh1
-rwxr-xr-xtests/realmath/run-test.sh6
-rwxr-xr-xtests/simple/run-test.sh1
4 files changed, 5 insertions, 4 deletions
diff --git a/tests/asicworld/run-test.sh b/tests/asicworld/run-test.sh
index bf27d15f..9153f55f 100755
--- a/tests/asicworld/run-test.sh
+++ b/tests/asicworld/run-test.sh
@@ -1,3 +1,2 @@
#!/bin/bash
-make -C ../.. || exit 1
exec bash ../tools/autotest.sh *.v
diff --git a/tests/hana/run-test.sh b/tests/hana/run-test.sh
index b8e7231c..199bb916 100755
--- a/tests/hana/run-test.sh
+++ b/tests/hana/run-test.sh
@@ -1,3 +1,2 @@
#!/bin/bash
-make -C ../.. || exit 1
exec bash ../tools/autotest.sh -l hana_vlib.v test_*.v
diff --git a/tests/realmath/run-test.sh b/tests/realmath/run-test.sh
index 48e87417..a28863d3 100755
--- a/tests/realmath/run-test.sh
+++ b/tests/realmath/run-test.sh
@@ -13,7 +13,11 @@ for ((i = 0; i < 100; i++)); do
idx=$( printf "%05d" $i )
../../../yosys -q uut_${idx}.ys
iverilog -o uut_${idx}_tb uut_${idx}_tb.v uut_${idx}.v uut_${idx}_syn.v
- ./uut_${idx}_tb
+ ./uut_${idx}_tb | tee uut_${idx}.err
+ if test -s uut_${idx}.err; then
+ exit 1
+ fi
+ rm -f uut_${idx}.err
done
echo
diff --git a/tests/simple/run-test.sh b/tests/simple/run-test.sh
index eb6fd10b..3d00c7eb 100755
--- a/tests/simple/run-test.sh
+++ b/tests/simple/run-test.sh
@@ -6,5 +6,4 @@ if ! which iverilog > /dev/null ; then
exit 1
fi
-make -C ../.. || exit 1
exec bash ../tools/autotest.sh *.v